summaryrefslogtreecommitdiffstats
path: root/tests/test26-schema-single/after.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test26-schema-single/after.sh')
-rwxr-xr-xtests/test26-schema-single/after.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/test26-schema-single/after.sh b/tests/test26-schema-single/after.sh
new file mode 100755
index 0000000..b3a1ae6
--- /dev/null
+++ b/tests/test26-schema-single/after.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+tmpfile=`mktemp ${TMP:-/tmp}/ldifXXXXXX`
+if test -z "$tmpfile" ; then
+ echo error creating temporary file
+fi
+trap 'rm -f "$tmpfile"' EXIT
+for base in dc=example,dc=com cn=compatpeople uid=tuser1 ; do
+ basedn="${base}${basedn:+,${basedn}}"
+ for scope in base one sub ; do
+ echo '['search -b "$basedn" -s $scope']'
+ search -b "$basedn" -s $scope | $LDIFSORT
+ done
+done